com.corticon.rulesemf.ast

## Interface Expression

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, GeneralExpression, IConditionValue, IPrimaryExpression, org.eclipse.emf.common.notify.Notifier

      public interface Expression
      extends GeneralExpression, IPrimaryExpression, IConditionValue

  A representation of the model object 'Expression'.

  The following features are supported:

  - `Logical Expression`
  See Also:
    `AstPackage.getExpression()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LogicalExpression` | `getLogicalExpression()` Returns the value of the 'Logical Expression' containment reference
    `void` | `setLogicalExpression(LogicalExpression value)` Sets the value of the '`Logical Expression`' containment reference

    - ### Methods inherited from interface com.corticon.rulesemf.ast.IPrimaryExpression

      `getType, setType`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getLogicalExpression

          LogicalExpression getLogicalExpression()

      Returns the value of the 'Logical Expression' containment reference.

      If the meaning of the 'Logical Expression' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Logical Expression' containment reference.
      See Also:
        `setLogicalExpression(LogicalExpression)`, `AstPackage.getExpression_LogicalExpression()`

    - #### setLogicalExpression

          void setLogicalExpression(LogicalExpression value)

      Sets the value of the '`Logical Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'Logical Expression' containment reference.
      See Also:
        `getLogicalExpression()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.